<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Application Module Method Model
 *
 * @package    OSB
 * @subpackage Modules
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_Module_Method extends ORMOSB {
	// Relationships
	protected $_belongs_to = array(
		'module'=>array(),
	);
	protected $_has_one = array(
		'record_id'=>array(),
	);
	protected $_has_many = array(
		'group'=>array('through'=>'group_method','foreign_key'=>'method_id')
	);

	protected $_sorting = array(
		'name'=>'ASC',
	);

	protected $_display_filters = array(
		'menu_display'=>array(
			array('StaticList_YesNo::display',array(':value')),
		),
	);

	// This module doesnt keep track of column updates automatically
	protected $_created_column = FALSE;
	protected $_updated_column = FALSE;

	// Return the method name.
	public function name() {
		return sprintf('%s::%s',$this->module->name,$this->name);
	}
}
?>
